Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Le groupe des Helpers est present pour vous aidez, n'hésitez pas à poser des questions ;)

Toute la communauté vous remercie

[DEV] Plugin Alexa-Api en BETA uniquement

Sous forum pour les plugins Dialogflow et Google Assistant
Avatar de l’utilisateur
Teggy
Timide
Messages : 13
Inscription : 06 oct. 2018, 10:04
Localisation : 67

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Teggy » 23 août 2019, 07:53

Teggy a écrit :
21 août 2019, 11:38
Bonjour a tous

Depuis peu le script de la page 1 ne semble plus fonctionner.
Avec le plugin ALEXA API en version stable, le demon ne se lance plus depuis un moment.
Avec Le plugin ALEXA API en version BETA je n'arrive pas a installer les dépendances ( Ca bloque a 45%)
Je ne peux donc plus du tout faire parler Alexa depuis ma Jeedom. :(
Quelqu'un peut m'aider ?
Thierry

Bonjour Sigalou

Voici les Log de l'install des dépendances (Maj d'hier)

--0%
...
...
...
Installation des dépendances alexaapi terminée, vérifiez qu'il n'y a pas d'erreur
Dernière édition par Teggy le 24 août 2019, 09:42, édité 1 fois.
Qui veut, trouve des solutions, Qui ne veut pas, trouve des excuses
Jeedom, Nas Synology, Motioneye,
RFXCOM, Z-STICK GEN5 - AEON LABS, Passerelle XIAOMI, Passerel Zigbee "home made"...

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6222
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Nebz » 23 août 2019, 07:57

Teggy a écrit :
Teggy a écrit :
21 août 2019, 11:38
Bonjour a tous

Depuis peu le script de la page 1 ne semble plus fonctionner.
Avec le plugin ALEXA API en version stable, le demon ne se lance plus depuis un moment.
Avec Le plugin ALEXA API en version BETA je n'arrive pas a installer les dépendances ( Ca bloque a 45%)
Je ne peux donc plus du tout faire parler Alexa depuis ma Jeedom. :(
Quelqu'un peut m'aider ?
Thierry

Bonjour Sigalou

Voici les Log de l'install des dépendances (Maj d'hier)

--0%
--10%
Lancement de l'installation/mise à jour des dépendances
--20%
Hit http://archive.raspberrypi.org jessie InRelease
Get:1 http://mirrordirector.raspbian.org jessie InRelease [15.0 kB]
Hit https://deb.nodesource.com jessie InRelease
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Hit https://deb.nodesource.com jessie/main Sources
Hit https://deb.nodesource.com jessie/main armhf Packages
Get:2 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:3 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:4 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:6 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Fetched 15.0 kB in 19s (753 B/s)
Reading package lists...
--30%
Version actuelle : v8.16.1
--40%
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Reading package lists...
Building dependency tree...
Reading state information...
Package 'npm' is not installed, so not removed
The following packages will be REMOVED:
nodejs*
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 61.0 MB disk space will be freed.
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 53175 files and directories currently installed.)
Removing nodejs (8.16.1-1nodesource1) ...
dpkg: warning: while removing nodejs, directory '/usr/lib/node_modules/npm/node_modules/node-gyp/node_modules' not empty so not removed
Processing triggers for man-db (2.7.5-1~bpo8+1) ...
--45%
Utilisation du dépot officiel
## Installing the NodeSource Node.js 12.x repo...
## Populating apt-get cache...
+ apt-get update
Hit http://mirrordirector.raspbian.org jessie InRelease
Hit https://deb.nodesource.com jessie InRelease
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit https://deb.nodesource.com jessie/main Sources
Hit https://deb.nodesource.com jessie/main armhf Packages
Get:1 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Get:2 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:3 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:4 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Reading package lists...
## You seem to be using Devuan version jessie.
## This maps to Debian "jessie"... Adjusting for you...
## Confirming "jessie" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_12.x/di ... ie/Release'
## Adding the NodeSource signing key to your keyring...
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
OK
## Creating apt sources list file for the NodeSource Node.js 12.x repo...
+ echo 'deb https://deb.nodesource.com/node_12.x jessie main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_12.x jessie main' >> /etc/apt/sources.list.d/nodesource.list
## Running `apt-get update` for you...
+ apt-get update
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://mirrordirector.raspbian.org jessie InRelease
Get:1 https://deb.nodesource.com jessie InRelease [4584 B]
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Ign http://archive.raspberrypi.org jessie/main Translation-en
Get:2 https://deb.nodesource.com jessie/main Sources [20 B]
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Get:3 https://deb.nodesource.com jessie/main armhf Packages [763 B]
Get:4 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Get:6 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:7 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:8 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Fetched 5367 B in 14s (363 B/s)
Reading package lists...
## Run `sudo apt-get install -y nodejs` to install Node.js 12.x and npm
## You may also need development tools to build native addons:
sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update && sudo apt-get install yarn
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
The following packages have unmet dependencies:
nodejs : Depends: libstdc++6 (>= 5.2) but 4.9.2-10+deb8u2 is to be installed
E: Unable to correct problems, you have held broken packages.
/var/www/html/jeedom/plugins/alexaapi/resources/nodejs.sh: line 129: npm: command not found
/var/www/html/jeedom/plugins/alexaapi/resources/nodejs.sh: line 131: nodejs: command not found
Version actuelle :
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
The following packages have unmet dependencies:
npm : Depends: nodejs but it is not going to be installed
Depends: node-abbrev (>= 1.0.4) but it is not going to be installed
Depends: node-ansi (>= 0.3.0-2) but it is not going to be installed
Depends: node-ansi-color-table but it is not going to be installed
Depends: node-archy but it is not going to be installed
Depends: node-block-stream but it is not going to be installed
Depends: node-fstream (>= 0.1.22) but it is not going to be installed
Depends: node-fstream-ignore but it is not going to be installed
Depends: node-github-url-from-git but it is not going to be installed
Depends: node-glob (>= 3.1.21) but it is not going to be installed
Depends: node-graceful-fs (>= 2.0.0) but it is not going to be installed
Depends: node-inherits but it is not going to be installed
Depends: node-ini (>= 1.1.0) but it is not going to be installed
Depends: node-lockfile but it is not going to be installed
Depends: node-lru-cache (>= 2.3.0) but it is not going to be installed
Depends: node-minimatch (>= 0.2.11) but it is not going to be installed
Depends: node-mkdirp (>= 0.3.3) but it is not going to be installed
Depends: node-gyp (>= 0.10.9) but it is not going to be installed
Depends: node-nopt (>= 3.0.1) but it is not going to be installed
Depends: node-npmlog but it is not going to be installed
Depends: node-once but it is not going to be installed
Depends: node-osenv but it is not going to be installed
Depends: node-read but it is not going to be installed
Depends: node-read-package-json (>= 1.1.0) but it is not going to be installed
Depends: node-request (>= 2.25.0) but it is not going to be installed
Depends: node-retry but it is not going to be installed
Depends: node-rimraf (>= 2.2.2) but it is not going to be installed
Depends: node-semver (>= 2.1.0) but it is not going to be installed
Depends: node-sha but it is not going to be installed
Depends: node-slide but it is not going to be installed
Depends: node-tar (>= 0.1.18) but it is not going to be installed
Depends: node-underscore but it is not going to be installed
Depends: node-which but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
sudo: npm: command not found
--50%
--60%
Installation...
sudo: npm: command not found
chown: cannot access 'node_modules': No such file or directory
--95%
--100%
Installation des dépendances alexaapi terminée, vérifiez qu'il n'y a pas d'erreur
Tu es toujours sur jessie, il va falloir penser à mettre à jour...

Et en plus de ça tu as un problème de packages sur ton système, tu peux tenter une "réparation NodeJS" mais pas certain que ça suffise


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Teggy
Timide
Messages : 13
Inscription : 06 oct. 2018, 10:04
Localisation : 67

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Teggy » 24 août 2019, 09:38

Bonjour

Mise a jour vers Debian stretch et depuis les dépendances de la version BETA s'installent correctement et le plugin fonctionne.
Au passage j'ai perdu l'usage de MQTT mais ça c'est un autre problème...
Merci pour ton support

Thierry
Qui veut, trouve des solutions, Qui ne veut pas, trouve des excuses
Jeedom, Nas Synology, Motioneye,
RFXCOM, Z-STICK GEN5 - AEON LABS, Passerelle XIAOMI, Passerel Zigbee "home made"...

enguerrand
Timide
Messages : 24
Inscription : 24 août 2018, 19:40

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par enguerrand » 24 août 2019, 12:24

Bonjour à tous.
Depuis quelques jours je suis obligé de relancer le démon pour que ça fonctionne.
Est-ce normal ?
Merci

Gorgluk
Timide
Messages : 291
Inscription : 09 déc. 2014, 00:33
Localisation : paca

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Gorgluk » 25 août 2019, 22:37

Bonjour,
Hélas, j'ai le toujours le souci du demon qui s’arrête. :roll:
Résolu en redémarrant le démon toutes les 3 heures.
DIY nuc | Jeedom sur Proxmox | Zwave Aeon Gen5, RFXtrx433E, X10 CM15, BT 4.0, Xiaomi

tboon
Timide
Messages : 2
Inscription : 26 août 2019, 14:40

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par tboon » 26 août 2019, 14:51

Nebz a écrit :
15 août 2019, 09:30
edreams a écrit :
latwingo a écrit :
08 août 2019, 21:18
Bonsoir à tous
Depuis 2 semaines j ai du réactiver mon scénario qui redémarre le demon vers 6h00 du matin
Pour que ça fonctionne normalement toute la journée
Est ce pareil chez vous
Par avance merci pour votre aide
Philippe
Latwingo, peux-tu me dire comment tu relance le démon alexa depuis un scénario stp ? Par avance merci !
Avec jeelink


Envoyé de mon iPhone en utilisant Tapatalk
Bonjour, j'ai installé jeelink et déclaré mon propre Jeedom dedans. j'ai ensuite créé un scénario pour la relance du demon mais la...
et bah je ne trouve pas quoi mettre dans mon scénario :
j'ai testé : Programmation * */4 * * *
scénario >>> #[Maison][Controle Motixnet][Démarrer Alexa - API]# il ne se passe rien
j'ai ensuite tenté : #[Maison][Controle Motixnet][Démarrer Démon Alexa - API]# et pareil ca ne donne rien....

pouvez-vous m'aider à trouver la solution ?

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6222
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Nebz » 26 août 2019, 15:30

tboon a écrit :
Nebz a écrit :
15 août 2019, 09:30
edreams a écrit : Latwingo, peux-tu me dire comment tu relance le démon alexa depuis un scénario stp ? Par avance merci !
Avec jeelink


Envoyé de mon iPhone en utilisant Tapatalk
Bonjour, j'ai installé jeelink et déclaré mon propre Jeedom dedans. j'ai ensuite créé un scénario pour la relance du demon mais la...
et bah je ne trouve pas quoi mettre dans mon scénario :
j'ai testé : Programmation * */4 * * *
scénario >>> #[Maison][Controle Motixnet][Démarrer Alexa - API]# il ne se passe rien
j'ai ensuite tenté : #[Maison][Controle Motixnet][Démarrer Démon Alexa - API]# et pareil ca ne donne rien....

pouvez-vous m'aider à trouver la solution ?
Hello,

C'est un peu hors sujet ici... je te propose de poser la question dans le sujet de jeelink ou scénario.


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

tboon
Timide
Messages : 2
Inscription : 26 août 2019, 14:40

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par tboon » 27 août 2019, 23:13

Nebz a écrit :
26 août 2019, 15:30
tboon a écrit :
Nebz a écrit :
15 août 2019, 09:30

Avec jeelink


Envoyé de mon iPhone en utilisant Tapatalk
Bonjour, j'ai installé jeelink et déclaré mon propre Jeedom dedans. j'ai ensuite créé un scénario pour la relance du demon mais la...
et bah je ne trouve pas quoi mettre dans mon scénario :
j'ai testé : Programmation * */4 * * *
scénario >>> #[Maison][Controle Motixnet][Démarrer Alexa - API]# il ne se passe rien
j'ai ensuite tenté : #[Maison][Controle Motixnet][Démarrer Démon Alexa - API]# et pareil ca ne donne rien....

pouvez-vous m'aider à trouver la solution ?
Hello,

C'est un peu hors sujet ici... je te propose de poser la question dans le sujet de jeelink ou scénario.


Envoyé de mon iPhone en utilisant Tapatalk
Bonsoir, désolé de la maladresse. Je comprends bien sur ! de toute façon j'ai réussi tout seul comme un grand
Merci a toute l'équipe pour votre travail et je suis dispo pour faire des tests si vous aviez besoin
mon alarme by jeedom parle grace à API ALEXA dans toute la maison et j'ai beaucoup d'enceintes (avec l'utilisation autant de speak que de routine) et c'est franchement géant
si un jour ya besoin, je vous fais une vidéo pour montrer a quoi ca ressemble grace a tout votre travail

bonne soirée !

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6222
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Nebz » 28 août 2019, 07:06

tboon a écrit :
Nebz a écrit :
26 août 2019, 15:30
tboon a écrit : Bonjour, j'ai installé jeelink et déclaré mon propre Jeedom dedans. j'ai ensuite créé un scénario pour la relance du demon mais la...
et bah je ne trouve pas quoi mettre dans mon scénario :
j'ai testé : Programmation * */4 * * *
scénario >>> #[Maison][Controle Motixnet][Démarrer Alexa - API]# il ne se passe rien
j'ai ensuite tenté : #[Maison][Controle Motixnet][Démarrer Démon Alexa - API]# et pareil ca ne donne rien....

pouvez-vous m'aider à trouver la solution ?
Hello,

C'est un peu hors sujet ici... je te propose de poser la question dans le sujet de jeelink ou scénario.


Envoyé de mon iPhone en utilisant Tapatalk
Bonsoir, désolé de la maladresse. Je comprends bien sur ! de toute façon j'ai réussi tout seul comme un grand
Merci a toute l'équipe pour votre travail et je suis dispo pour faire des tests si vous aviez besoin
mon alarme by jeedom parle grace à API ALEXA dans toute la maison et j'ai beaucoup d'enceintes (avec l'utilisation autant de speak que de routine) et c'est franchement géant
si un jour ya besoin, je vous fais une vidéo pour montrer a quoi ca ressemble grace a tout votre travail

bonne soirée !
Ah ça serait sympa pour illustrer :-)


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
sigalou
Actif
Messages : 1006
Inscription : 23 janv. 2017, 16:02

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par sigalou » 28 août 2019, 12:38

tboon a écrit :
27 août 2019, 23:13
si un jour ya besoin, je vous fais une vidéo pour montrer a quoi ca ressemble grace a tout votre travail
Oh oui !! Cool :D :lol:
Sigalou

Utilisateur/Développeur Plugin Jeedom
Créateur des plugins Alexa-API & WatchDog



Avatar de l’utilisateur
sigalou
Actif
Messages : 1006
Inscription : 23 janv. 2017, 16:02

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par sigalou » 03 sept. 2019, 13:38

Mise à jour importante !!!

Version stable : 2019-09-03 13:18:15 en ligne

Beaucoup de changements, et surtout correction du bug bloquant : "Alexa-API: Error: no csrf found"

Changelog :
http://sigalou-domotique.fr/plugin-jeed ... -changelog

Doc :
http://sigalou-domotique.fr/plugin-jeed ... umentation

Merci pour vos retours ici ! :lol: :geek: :mrgreen:

PS. Merci aux betas-testeurs pour leur patience et à @nebz pour son aide précieuse !!
Sigalou

Utilisateur/Développeur Plugin Jeedom
Créateur des plugins Alexa-API & WatchDog



Kyoshi
Timide
Messages : 370
Inscription : 04 mai 2018, 14:05

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Kyoshi » 03 sept. 2019, 13:53

Passage de la beta en stable sur Jeedom V4 sans soucis ;)

Avatar de l’utilisateur
sigalou
Actif
Messages : 1006
Inscription : 23 janv. 2017, 16:02

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par sigalou » 03 sept. 2019, 13:54

Premiers constats à corriger en V4 :

* Noms des devices tronqués
* Reminders et commandes qui vont avec disparus
* Icone "déconnecté" quand un device est déconnecté n'apparait plus.
Sigalou

Utilisateur/Développeur Plugin Jeedom
Créateur des plugins Alexa-API & WatchDog



Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6222
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Nebz » 03 sept. 2019, 14:49

sigalou a écrit :Premiers constats à corriger en V4 :

* Noms des devices tronqués
* Reminders et commandes qui vont avec disparus
* Icone "déconnecté" quand un device est déconnecté n'apparait plus.
1 et 3 liés :-)


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

jmau18
Timide
Messages : 9
Inscription : 04 sept. 2019, 12:55

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par jmau18 » 04 sept. 2019, 13:21

Bonjour
Je viens d'installer le plugin Alexa-API stable , mais impossible d'installer les dépendances , roue qui se bloque à 45%.!
j'ai désinstaller , relancer jeedom , nouvel essai , même résultat.
Extrait du log:
-Lecture des informations d'état…
-E: Impossible de trouver le paquet npm
-sudo: npm : commande introuvable

Avez vous une idée du problème. ?
Merci d'avance !

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6222
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Nebz » 04 sept. 2019, 13:22

jmau18 a écrit :
04 sept. 2019, 13:21
Bonjour
Je viens d'installer le plugin Alexa-API stable , mais impossible d'installer les dépendances , roue qui se bloque à 45%.!
j'ai désinstaller , relancer jeedom , nouvel essai , même résultat.
Extrait du log:
-Lecture des informations d'état…
-E: Impossible de trouver le paquet npm
-sudo: npm : commande introuvable

Avez vous une idée du problème. ?
Merci d'avance !
un Extrait du log ne nous sert à rien, le log complet oui :)
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6222
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Nebz » 04 sept. 2019, 13:27

et quelques infos aussi... ma boule de cristal me dit que tu es sur Smart... je viens de pousser un correctif, au plus tard il sera demain sur le market, vérifie les mises à jour de temps en temps (c'est @sigalou qui doit le pousser sur le market)

et pour info tu es dans le sujet pour la beta et pas la stable :)
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6222
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Nebz » 04 sept. 2019, 16:08

mise à jour sur le market pour le bug sur les smart !!!
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Theking31
Actif
Messages : 1159
Inscription : 21 sept. 2017, 11:13
Localisation : Toulouse - Le Vernet

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par Theking31 » 04 sept. 2019, 17:16

Hello la team,

Y à t'il un moyen de récupérer le minuteur et de le convertir en heure de fin ?
-.png
-.png (18.65 Kio) Consulté 120 fois
Jeedom 3.3.31 sur Intel NUC 6CAYH | Linux 4.9.0-11-amd64 | Debian 9.11
Rfxcom | Z-Wave Plus Z-Stick GEN5 | Conbee 2 | => sur hub alimenté
Blea| Brodlink | Xiaomi |ESPeasy

Avatar de l’utilisateur
sigalou
Actif
Messages : 1006
Inscription : 23 janv. 2017, 16:02

Re: [DEV] Plugin Alexa-Api en BETA uniquement

Message par sigalou » 05 sept. 2019, 18:30

Theking31 a écrit :
04 sept. 2019, 17:16
Hello la team,

Y à t'il un moyen de récupérer le minuteur et de le convertir en heure de fin ?

-.png
Salut !

Je ne comprends pas trop ta question.
Tu peux déja récupérer le prochain minuteur par "Next Reminder Hour", tu as essayé ?
Sigalou

Utilisateur/Développeur Plugin Jeedom
Créateur des plugins Alexa-API & WatchDog



Répondre

Revenir vers « [Plugin Officiel] Assistant vocaux »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité